        // Read user input to create a League.
class LeagueMain {
    public static void main(String[] args){
        SimpleInput keyboard = new SimpleInput();

        System.out.println("How many teams in the league?");
        int numTeams = keyboard.nextInt();
        if(numTeams > 0){
            TeamDetails[] teams = new TeamDetails[numTeams];
            for(int i = 0; i < numTeams; i++){
                System.out.println("Team, coach and venue for team: "+
                                   i);
                String team =  keyboard.nextWord();
                String coach = keyboard.nextWord();
                String venue = keyboard.nextWord();
                teams[i] = new TeamDetails(team,coach,venue);
            }
            League league = new League(teams);

            // Print the initial state of the league.
            league.print();
        }
    }
}
