import java.util.LinkedList;

        // Create some FurryFigure objects and add them
        // to a FurryFigureCollection. Test the collection's
        // methods.
class FurryMain2 {
    public static void main(String[] args){
        // Create three sample figures.
        FurryFigure figure1 =
                new FurryFigure("Cat","Black - sleeping",100,1999);
        FurryFigure figure2 =
                new FurryFigure("Cat","Ginger - eating",150,2000);
        FurryFigure figure3 =
                new FurryFigure("Dog","Poodle - sleeping",150,2000);

        FurryFigureCollection collection = new FurryFigureCollection();
        collection.addToCollection(figure1);
        collection.addToCollection(figure2);
        collection.addToCollection(figure3);

        System.out.println("The Collection contains");
        collection.printCollection();
        System.out.println();

        // Calculate the current investment.
        System.out.println("Investment is "+collection.investment());

        // Print the descriptions of all cats.
        System.out.println("Descriptions of all cats");
        collection.printDescriptions("cat");
        System.out.println();

        // Obtain and print a list of all sleeping animals.
        LinkedList sleepers = collection.findAll("SLEEP");
        final int size = sleepers.size();
        System.out.println("The sleepers are");
        for(int i = 0; i < size; i++){
            FurryFigure animal = (FurryFigure) sleepers.get(i);
            System.out.println(animal.toString());
        }
    }
}
