        // A simple class to maintain a temperature variable
        // along with an accessor and mutator.
class SimpleController {
        // A no-arg constructor for the class.
    public SimpleController(){
        // Ensure that the initial temperature is set to
        // a non-zero default value.
        setTemperature(293.0);
    }

        // Temperature accessor.
    public double getTemperature(){
        return temperature;
    }

        // Temperature mutator.
    public void setTemperature(double setting){
        temperature = setting;
        // Register the change on the display.
        getDisplay().showTemperature(setting);
    }

        // An accessor for the display object.
    private ValueDisplay getDisplay(){
        return display;
    }

    // The current temperature value (0.0 by default).
    private double temperature;
    // A display for the temperature value.
    private ValueDisplay display = new ValueDisplay();
}
