import java.util.Arrays;

    // Illustrate use of Arrays.sort on an array of Points
    // using an implementation of Comparator.
class PointComparatorMain {
    public static void main(String[] args){
        final Point[] points = {
            new Point(0,0),
            new Point(2,3),
            new Point(2,4),
            new Point(2,2),
            new Point(0,3),
            new Point(1,5),
            new Point(1,5),
        };
        // Sort the data using a Comparator.
        Arrays.sort(points,new PointComparator());
        // Demonstrate that it has been sorted.
        final int numPoints = points.length;
        for(int i = 0; i < numPoints; i++){
            Point p = points[i];
            System.out.println("("+p.getX()+","+p.getY()+")");
        }
    }
}
