import java.util.*;

        // Determine whether Random and LinkedList implement the
        // Cloneable interface, and whether they define a public
        // clone method.
class CloneableTest {
    public static void main(String[] args){
        LinkedList list = new LinkedList();
        Random rand = new Random();

        if(list instanceof Cloneable){
            System.out.println("LinkedList implements Cloneable.");
            LinkedList listClone = (LinkedList) list.clone();
        }
        if(rand instanceof Cloneable){
            System.out.println("Random implements Cloneable.");
            // clone is not public in Random.
            // Random randClone = (Random) rand.clone();
        }
    }
}
