        // Read commands to point points and lines onto a Graph.
class DrawingMain1 {
    public static void main(String[] args){
        SimpleInput keyboard = new SimpleInput();
        // Draw on a 100x100 graph, by default.
        double minX = 0, minY = 0, maxX = 100, maxY = 100;
        GraphMinder minder = new GraphMinder(minX,maxX,minY,maxY);
        // The terminating command.
        final String quit = "quit";

        System.out.println("Drawing command.");
        String command = keyboard.nextWord();
        while(!(command.equalsIgnoreCase(quit))){
            if(command.equalsIgnoreCase("point")){
                double x, y;
                x = keyboard.nextDouble();
                y = keyboard.nextDouble();
                minder.addPoint(x,y);
            }
            else if(command.equalsIgnoreCase("line")){
                double x1, y1, x2, y2;
                x1 = keyboard.nextDouble();
                y1 = keyboard.nextDouble();
                x2 = keyboard.nextDouble();
                y2 = keyboard.nextDouble();
                minder.addLine(x1,y1,x2,y2);
            }
            else if(command.equalsIgnoreCase("space")){
                // Create a new graph.
                minX = keyboard.nextDouble();
                minY = keyboard.nextDouble();
                maxX = keyboard.nextDouble();
                maxY = keyboard.nextDouble();
                minder = new GraphMinder(minX,maxX,minY,maxY);
            }
            else{
                System.out.println("Unrecognized command: "+command);
            }
            System.out.println("Drawing command.");
            command = keyboard.nextWord();
        }
        System.out.println("End of input.");
    }
}
