        // Read user commands to control a SimpleShip.
class ShipController1 {
        // Read the controlling commands from r.
    public ShipController1(SimpleInput input){
        this.input = input;
    }

        // Read commands to control the ship from the SimpleInput
        // object passed to the constructor.
        // Finish this method when the specified terminating word
        // is read from the user.
    public void control(SimpleShip s,String terminatingWord){
        final SimpleInput reader = getInput();
        // Add the rest here ...
        String command = reader.nextWord();
        while(!command.equalsIgnoreCase(terminatingWord)){
            if(command.equalsIgnoreCase("move")){
                s.move();
            }
            else if(command.equalsIgnoreCase("report")){
                s.report();
            }
            else if(command.equalsIgnoreCase("setSpeed")){
                double speed = reader.nextDouble();
                s.setSpeed(speed);
            }
            else if(command.equalsIgnoreCase("setCourse")){
                double course = reader.nextDouble();
                s.setCourse(course);
            }
            else if(command.equalsIgnoreCase("setPosition")){
                double x = reader.nextDouble();
                double y = reader.nextDouble();
                s.setPosition(x,y);
            }
            else{
                System.out.println("Unknown command: "+command);
            }
            System.out.println("Next command?");
            command = reader.nextWord();
        }

    }

    private SimpleInput getInput(){
        return input;
    }

    private void setInput(SimpleInput i){
        input = i;
    }

    private SimpleInput input;
}
