    // A class to test the implementation of addDigits.
class AddDigits {
    public static void main(String[] args){
        // Test some single digit values.
        testCall(0);
        testCall(1);
        // Test some multi-digit values.
        testCall(10);
        testCall(19);
        testCall(100);
        // Test an arbitrary value given in the exercise.
        testCall(362023);
        // Test the maximum positive integer.
        testCall(2147483647);
    }

        // A method to print the result of a call of addDigits.
    public static void testCall(int n){
        System.out.println("The sum of the digits of "+n+
                           " is "+addDigits(n));
    }

        // Return the sum of the decimal digits in n.
        // For instance, addDigits(362023) would return 16.
    public static int addDigits(int n){
        // An accumulator for the digit sum.
        int digitSum = 0;
        while(n > 0){
            int digit = n % 10;
            digitSum += digit;
            // Remove the digit.
            n /= 10;
        }
        return digitSum;
    }
}
