class Player {
    public Player(int id){
        // The player has an identity.
        identity = id;
    }

        // Receive a card from the dealer.
    public void takeCard(Card c){
        getHand().add(c);
    }

        // Play the next card from the hand. Return null if
        // we have no more cards.
    public Card playCard(){
        if(numCards() > 0){
            // We have at least one card.
            return getHand().getNextCard();
        }
        else{
            return null;
        }
    }

        // Add the cards from the pile to the hand.
    public void takePile(Pile p){
        getHand().addPile(p);
    }

    public int getIdentity(){
        return identity;
    }

    private int numCards(){
        return getHand().numCards();
    }

    private Hand getHand(){
        return hand;
    }

    // A collection to hold the player's cards.
    private Hand hand = new Hand();
    // The player's indentifying number.
    private final int identity;
}
