        // Roll a die several times and tabulate how many
        // times each value came up.
class DieMain {
    public static void main(String[] args){
        Die die = new Die();
        final int DIE_MAX = 6;
        // Store the counts in elements 1 ... 6.
        int[] counts = new int[DIE_MAX+1];

        // Roll the die several times.
        final int numRolls = 10000;
        for(int i = 0; i < numRolls; i++){
            counts[die.roll()]++;
        }

        // Print the counts for each value.
        for(int i = 1; i <= DIE_MAX; i++){
            System.out.print(i+": "+counts[i]+" ");
        }
        System.out.println();
    }
}
