        // Add a sample of items to a PriorityList.
class PriorityListMain {
    public static void main(String[] args){
        PriorityList list = new PriorityList();
        try{
            list.add(new LowPriority("low.1"));
            list.add(new LowPriority("low.2"));
            list.add(new HighPriority("high.1"));
            list.add(new HighPriority("high.2"));
            list.add(new LowPriority("low.3"));
            list.add(new HighPriority("high.3"));

            // Add an intermediate priority item.
            Priority p = new LowPriority("middle.1");
            p.setPriority(3);
            list.add(p);

            list.listPriorities();
            list.showList();

            // Add an invalid item.
            list.add("hello, world");
        }
        catch(RuntimeException e){
            System.err.println(e.getMessage());
        }
    }
}
