        // Generate a 5-digit random number and invite the user
        // to guess it. Give hints by indicating whether their
        // guess is too high or too low.
        // Keep track of how many valid attempts were made to guess.
class GuessingMain {
    public static void main(String[] args){
        SimpleInput keyboard = new SimpleInput();
        // The minimum and maximum allowed guesses.
        final int min = 10000, max = 99999;
        // Generate the number to be guessed by the user.
        int numToGuess = fiveDigitRandom();

        // Keep track of the number of valid guesses.
        int validGuesses = 0;
        // Request the first guess.
        int guess;
        System.out.println("What is your first guess?");
        guess = keyboard.nextInt();
        while(guess != numToGuess){
            // Check for a valid guess.
            if((guess >= min) && (guess <= max)){
                validGuesses++;
                if(guess < numToGuess){
                    System.out.println("Your guess is too low.");
                }
                else{
                    System.out.println("Your guess is too high.");
                }
            }
            else{
                System.out.println("Guesses should be in the range "+
                                   min+" to "+max);
            }
            // Read the next guess.
            guess = keyboard.nextInt();
        }
        validGuesses++;
        System.out.println("You took "+validGuesses+
                           " guess(es) to find it.");
    }

        // Return a 5-digit random number.
    public static int fiveDigitRandom(){
        final int min = 10000, limit = 100000;
        return min+(int)((limit-min)*Math.random());
    }
}
