        // Illustrate the creation of a Graph and
        // its appearance when a few points are added.

        // Attempt to draw a line in which the x-value of the first end-point
        // is larger than the x-value of the second end-point.
class GraphMain1b {
    public static void main(String[] args){
        // Define the bounds of the coordinate space.
        double minX = -10, maxX = 50, minY = -10, maxY = 50;
        // Use a GraphMinder2, rather than a GraphMinder.
        // This fixes the `out-of-order' error for lines.
        GraphMinder2 minder = new GraphMinder2(minX,maxX,minY,maxY);

        // Draw lines through the origin.
        minder.addLine(minX,0,maxX,0);
        minder.addLine(0,minY,0,maxY);

        // Add a small selection of points, one in each quadrant.
        minder.addPoint(-3.5,-8.9);
        minder.addPoint(-9,30);
        minder.addPoint(48,-4);
        minder.addPoint(7,12);

        // Draw a line with x-value in reverse order.
        minder.addLine(30,10,0,10);
    }
}
